Package com.complexible.common.collect

# Interface SkippingIterable<T>

All Known Subinterfaces:
  `PartitionedSkippingIterable<T>`

public interface SkippingIterable<T>
Interface for ordered data sources that returns a skipping iterator.

Since:
  0.7
Version:
  0.7
Author:
  Evren Sirin

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Comparator<T>`
  `comparator()`
  The comparator associated with this iterable that also determines the ordering of the elements in the iterator.
  `SkippingIterator<T>`
  `iterator()`
  Returns a skipping iterator over a set of elements of type T.
  `default SkippingIterator<T>`
  `iterator(CancelCheck check)`
  Returns a skipping iterator over a set of elements of type T.
  `SkippingIterator<T>`
  `iterator(T theBegin)`
  Iterate over the elements in this `SkippingIterable`, starting at the given element
  `default SkippingIterator<T>`
  `iterator(T theBegin, CancelCheck check)`
  Iterate over the elements in this `SkippingIterable`, starting at the given element
  `SkippingIterator<T>`
  `iterator(T theBegin, T theEnd)`
  Iterate over the elements in this `SkippingIterable`, starting and ending at the given elements
  `default SkippingIterator<T>`
  `iterator(T theBegin, T theEnd, CancelCheck theCheck)`
  Iterate over the elements in this `SkippingIterable`, starting and ending at the given elements

- ## Method Details

  - ### comparator

    Comparator<T> comparator()
    The comparator associated with this iterable that also determines the ordering of the elements in the iterator.
    Returns:
      the comparator

  - ### iterator

    @MustBeClosed SkippingIterator<T> iterator()
    Returns a skipping iterator over a set of elements of type T.

  - ### iterator

    @MustBeClosed SkippingIterator<T> iterator(T theBegin, T theEnd)
    Iterate over the elements in this `SkippingIterable`, starting and ending at the given elements
    Parameters:
      `theBegin` - the element to begin iterating at
      `theEnd` - the element to stop iterating at
    Returns:
      the iterator

  - ### iterator

    @MustBeClosed SkippingIterator<T> iterator(T theBegin)
    Iterate over the elements in this `SkippingIterable`, starting at the given element
    Parameters:
      `theBegin` - the element to begin iteration at
    Returns:
      the iterator

  - ### iterator

    @MustBeClosed default SkippingIterator<T> iterator(CancelCheck check)
    Returns a skipping iterator over a set of elements of type T.

  - ### iterator

    @MustBeClosed default SkippingIterator<T> iterator(T theBegin, T theEnd, CancelCheck theCheck)
    Iterate over the elements in this `SkippingIterable`, starting and ending at the given elements
    Parameters:
      `theBegin` - the element to begin iterating at
      `theEnd` - the element to stop iterating at
    Returns:
      the iterator

  - ### iterator

    @MustBeClosed default SkippingIterator<T> iterator(T theBegin, CancelCheck check)
    Iterate over the elements in this `SkippingIterable`, starting at the given element
    Parameters:
      `theBegin` - the element to begin iteration at
    Returns:
      the iterator